Write a raw XML text

- « XMLWriter::writePi

- XSL »

- PHP Manual
- XMLWriter
- Write a raw XML text

# XMLWriter::writeRaw

# xmlwriter_write_raw

(PHP 5 >= 5.2.0, PHP 7, PHP 8, PECL xmlwriter >= 2.0.4)

XMLWriter::writeRaw -- xmlwriter_write_raw — Write a raw XML text

### Description

Object-oriented style

public XMLWriter::writeRaw(string `$content`): bool

Procedural style

xmlwriter_write_raw(XMLWriter `$writer`, string `$content`): bool

Writes a raw xml text.

### Parameters

`writer`

  Only for procedural calls. The XMLWriter instance that is being modified. This object is returned from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`content`

  The text string to write.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `writer` expects an XMLWriter instance now; previously, a resource was expected.

### See Also

- XMLWriter::text() - Write text